# Method: projects.locations.channels.events.get

- [HTTP request](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/get#body.request_body)
- [Response body](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events/get#body.aspect_1)

Returns the specified event.

### HTTP request

`GET https://livestream.googleapis.com/v1/{name=projects/*/locations/*/channels/*/events/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the event resource, in the form of: `projects/{project}/locations/{location}/channels/{channelId}/events/{eventId}`. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/livestream/docs/reference/rest/v1/projects.locations.channels.events#Event`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `livestream.events.get`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).